Bug 165494 - [UPDATE] devel/geany-plugins: update to 0.21
[UPDATE] devel/geany-plugins: update to 0.21
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-26 22:30 UTC by marco
Modified: 2012-10-06 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (28.32 KB, patch)
2012-02-26 22:30 UTC, marco
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description marco 2012-02-26 22:30:01 UTC
Update to 0.21:
- change build system from pyton to configure
- add new patches
- add pkg-message

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-02-26 22:30:11 UTC
Maintainer of devel/geany-plugins,

Please note that PR ports/165494 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/165494

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-02-26 22:30:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Max Brazhnikov freebsd_committer 2012-03-04 14:31:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 4 Max Brazhnikov freebsd_committer 2012-09-21 23:10:23 UTC
State Changed
From-To: feedback->closed

Superseded by ports/171846 and ports/171856.
Comment 5 dfilter freebsd_committer 2012-10-06 19:21:19 UTC
Author: makc
Date: Sat Oct  6 18:20:59 2012
New Revision: 305393
URL: http://svn.freebsd.org/changeset/ports/305393

Log:
  - Update to 0.21 [1]
  - Update to 1.22 and split into geany-plugin-* ports
  - Convert to new options framework
  - Take maintainership
  
  PR:		ports/165494 [1],
  		ports/171856
  Submitted by:	Marco Trentini <marco at datasked.com> [1]
  Approved by:	maintainer timeouts (2 weeks for ports/171856)

Added:
  head/devel/geany-plugin-addons/
  head/devel/geany-plugin-addons/Makefile   (contents, props changed)
  head/devel/geany-plugin-addons/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-addons/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-codenav/
  head/devel/geany-plugin-codenav/Makefile   (contents, props changed)
  head/devel/geany-plugin-codenav/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-codenav/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-debugger/
  head/devel/geany-plugin-debugger/Makefile   (contents, props changed)
  head/devel/geany-plugin-debugger/files/
  head/devel/geany-plugin-debugger/files/patch-debugger__src__debug.c   (contents, props changed)
  head/devel/geany-plugin-debugger/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-debugger/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-devhelp/
  head/devel/geany-plugin-devhelp/Makefile   (contents, props changed)
  head/devel/geany-plugin-devhelp/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-devhelp/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-doc/
  head/devel/geany-plugin-doc/Makefile   (contents, props changed)
  head/devel/geany-plugin-doc/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-doc/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-extrasel/
  head/devel/geany-plugin-extrasel/Makefile   (contents, props changed)
  head/devel/geany-plugin-extrasel/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-extrasel/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-gdb/
  head/devel/geany-plugin-gdb/Makefile   (contents, props changed)
  head/devel/geany-plugin-gdb/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-gdb/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-gendoc/
  head/devel/geany-plugin-gendoc/Makefile   (contents, props changed)
  head/devel/geany-plugin-gendoc/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-gendoc/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-geniuspaste/
  head/devel/geany-plugin-geniuspaste/Makefile   (contents, props changed)
  head/devel/geany-plugin-geniuspaste/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-geniuspaste/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-gproject/
  head/devel/geany-plugin-gproject/Makefile   (contents, props changed)
  head/devel/geany-plugin-gproject/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-gproject/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-insertnum/
  head/devel/geany-plugin-insertnum/Makefile   (contents, props changed)
  head/devel/geany-plugin-insertnum/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-insertnum/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-latex/
  head/devel/geany-plugin-latex/Makefile   (contents, props changed)
  head/devel/geany-plugin-latex/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-latex/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-lipsum/
  head/devel/geany-plugin-lipsum/Makefile   (contents, props changed)
  head/devel/geany-plugin-lipsum/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-lipsum/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-lua/
  head/devel/geany-plugin-lua/Makefile   (contents, props changed)
  head/devel/geany-plugin-lua/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-lua/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-macro/
  head/devel/geany-plugin-macro/Makefile   (contents, props changed)
  head/devel/geany-plugin-macro/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-macro/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-miniscript/
  head/devel/geany-plugin-miniscript/Makefile   (contents, props changed)
  head/devel/geany-plugin-miniscript/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-miniscript/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-multiterm/
  head/devel/geany-plugin-multiterm/Makefile   (contents, props changed)
  head/devel/geany-plugin-multiterm/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-multiterm/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-numberedbookmarks/
  head/devel/geany-plugin-numberedbookmarks/Makefile   (contents, props changed)
  head/devel/geany-plugin-numberedbookmarks/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-numberedbookmarks/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-pg/
  head/devel/geany-plugin-pg/Makefile   (contents, props changed)
  head/devel/geany-plugin-pg/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-pg/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-pretty-printer/
  head/devel/geany-plugin-pretty-printer/Makefile   (contents, props changed)
  head/devel/geany-plugin-pretty-printer/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-pretty-printer/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-prj/
  head/devel/geany-plugin-prj/Makefile   (contents, props changed)
  head/devel/geany-plugin-prj/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-prj/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-sendmail/
  head/devel/geany-plugin-sendmail/Makefile   (contents, props changed)
  head/devel/geany-plugin-sendmail/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-sendmail/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-shiftcolumn/
  head/devel/geany-plugin-shiftcolumn/Makefile   (contents, props changed)
  head/devel/geany-plugin-shiftcolumn/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-shiftcolumn/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-spellcheck/
  head/devel/geany-plugin-spellcheck/Makefile   (contents, props changed)
  head/devel/geany-plugin-spellcheck/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-spellcheck/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-tableconvert/
  head/devel/geany-plugin-tableconvert/Makefile   (contents, props changed)
  head/devel/geany-plugin-tableconvert/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-tableconvert/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-treebrowser/
  head/devel/geany-plugin-treebrowser/Makefile   (contents, props changed)
  head/devel/geany-plugin-treebrowser/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-treebrowser/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-updatechecker/
  head/devel/geany-plugin-updatechecker/Makefile   (contents, props changed)
  head/devel/geany-plugin-updatechecker/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-updatechecker/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-vc/
  head/devel/geany-plugin-vc/Makefile   (contents, props changed)
  head/devel/geany-plugin-vc/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-vc/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-webhelper/
  head/devel/geany-plugin-webhelper/Makefile   (contents, props changed)
  head/devel/geany-plugin-webhelper/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-webhelper/pkg-plist   (contents, props changed)
  head/devel/geany-plugin-xmlsnippets/
  head/devel/geany-plugin-xmlsnippets/Makefile   (contents, props changed)
  head/devel/geany-plugin-xmlsnippets/pkg-descr   (contents, props changed)
  head/devel/geany-plugin-xmlsnippets/pkg-plist   (contents, props changed)
  head/devel/geany-plugins/files/Makefile.common   (contents, props changed)
  head/devel/geany-plugins/files/bsd.geany-plugins.mk   (contents, props changed)
Deleted:
  head/devel/geany-plugins/files/patch-wscript
Modified:
  head/UPDATING
  head/devel/Makefile
  head/devel/geany-plugins/Makefile   (contents, props changed)
  head/devel/geany-plugins/distinfo   (contents, props changed)
  head/devel/geany-plugins/pkg-descr   (contents, props changed)

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Sat Oct  6 18:10:53 2012	(r305392)
+++ head/UPDATING	Sat Oct  6 18:20:59 2012	(r305393)
@@ -5,6 +5,14 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20121006:
+  AFFECTS: users of devel/geany-plugins
+  AUTHOR: makc@FreeBSD.org
+
+  devel/geany-plugins has been updated to 1.22 and split into numerous
+  devel/geany-plugin-* ports. geany-plugins must be deinstalled before
+  running any port upgrade utility.
+
 20121002:
   AFFECTS: users of devel/clanlib
   AUTHOR: jhale@FreeBSD.org

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sat Oct  6 18:10:53 2012	(r305392)
+++ head/devel/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -479,6 +479,36 @@
     SUBDIR += gdbmods
     SUBDIR += gdcm
     SUBDIR += geany
+    SUBDIR += geany-plugin-addons
+    SUBDIR += geany-plugin-codenav
+    SUBDIR += geany-plugin-debugger
+    SUBDIR += geany-plugin-devhelp
+    SUBDIR += geany-plugin-doc
+    SUBDIR += geany-plugin-extrasel
+    SUBDIR += geany-plugin-gdb
+    SUBDIR += geany-plugin-gendoc
+    SUBDIR += geany-plugin-geniuspaste
+    SUBDIR += geany-plugin-gproject
+    SUBDIR += geany-plugin-insertnum
+    SUBDIR += geany-plugin-latex
+    SUBDIR += geany-plugin-lipsum
+    SUBDIR += geany-plugin-lua
+    SUBDIR += geany-plugin-macro
+    SUBDIR += geany-plugin-miniscript
+    SUBDIR += geany-plugin-multiterm
+    SUBDIR += geany-plugin-numberedbookmarks
+    SUBDIR += geany-plugin-pg
+    SUBDIR += geany-plugin-pretty-printer
+    SUBDIR += geany-plugin-prj
+    SUBDIR += geany-plugin-sendmail
+    SUBDIR += geany-plugin-shiftcolumn
+    SUBDIR += geany-plugin-spellcheck
+    SUBDIR += geany-plugin-tableconvert
+    SUBDIR += geany-plugin-treebrowser
+    SUBDIR += geany-plugin-updatechecker
+    SUBDIR += geany-plugin-vc
+    SUBDIR += geany-plugin-webhelper
+    SUBDIR += geany-plugin-xmlsnippets
     SUBDIR += geany-plugins
     SUBDIR += gearmand
     SUBDIR += gecode

Added: head/devel/geany-plugin-addons/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-addons/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,13 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	addons
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-addons/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-addons/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,4 @@
+This plugin adds various small addons to Geany which aren't worth
+an own plugin but might still useful for people.
+
+WWW: http://plugins.geany.org/addons.html

Added: head/devel/geany-plugin-addons/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-addons/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/addons.a
+lib/geany/addons.la
+lib/geany/addons.so
+%%DOCSDIR%%/addons/AUTHORS
+%%DOCSDIR%%/addons/COPYING
+%%DOCSDIR%%/addons/ChangeLog
+%%DOCSDIR%%/addons/NEWS
+%%DOCSDIR%%/addons/README
+@dirrm %%DOCSDIR%%/addons
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-codenav/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-codenav/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,13 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	codenav
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-codenav/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-codenav/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,3 @@
+This plugin adds some facilities for navigating in the code.
+
+WWW: http://plugins.geany.org/codenav.html

Added: head/devel/geany-plugin-codenav/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-codenav/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/codenav.a
+lib/geany/codenav.la
+lib/geany/codenav.so
+%%DOCSDIR%%/codenav/AUTHORS
+%%DOCSDIR%%/codenav/COPYING
+%%DOCSDIR%%/codenav/ChangeLog
+%%DOCSDIR%%/codenav/NEWS
+%%DOCSDIR%%/codenav/README
+@dirrm %%DOCSDIR%%/codenav
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-debugger/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-debugger/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,13 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	debugger
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-debugger/files/patch-debugger__src__debug.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-debugger/files/patch-debugger__src__debug.c	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+--- ./debugger/src/debug.c.orig	2012-06-16 14:42:46.000000000 +0000
++++ ./debugger/src/debug.c	2012-09-21 14:55:31.192392925 +0000
+@@ -37,7 +37,6 @@
+ 
+ #include <string.h>
+ #include <unistd.h>
+-#include <pty.h>
+ #include <gtk/gtk.h>
+ #include <gdk/gdkkeysyms.h>
+ #include <vte/vte.h>

Added: head/devel/geany-plugin-debugger/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-debugger/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,5 @@
+Plugin enables debugging in Geany. Currently supports GDB only, but
+was developed with multiple debuggers support in mind, so the other
+backends support is planned as well.
+
+WWW: http://plugins.geany.org/debugger.html

Added: head/devel/geany-plugin-debugger/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-debugger/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,21 @@
+lib/geany/debugger.a
+lib/geany/debugger.la
+lib/geany/debugger.so
+%%DOCSDIR%%/debugger/AUTHORS
+%%DOCSDIR%%/debugger/COPYING
+%%DOCSDIR%%/debugger/ChangeLog
+%%DOCSDIR%%/debugger/NEWS
+%%DOCSDIR%%/debugger/README
+%%DATADIR%%/debugger/continue.png
+%%DATADIR%%/debugger/restart.gif
+%%DATADIR%%/debugger/run.gif
+%%DATADIR%%/debugger/run_to_cursor.gif
+%%DATADIR%%/debugger/step_in.png
+%%DATADIR%%/debugger/step_out.gif
+%%DATADIR%%/debugger/step_over.gif
+%%DATADIR%%/debugger/stop.gif
+%%DATADIR%%/debugger/tabs.gif
+@dirrm %%DATADIR%%/debugger
+@dirrmtry %%DATADIR%%
+@dirrm %%DOCSDIR%%/debugger
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-devhelp/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-devhelp/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,18 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+LIB_DEPENDS=	wnck-1:${PORTSDIR}/x11-toolkits/libwnck \
+		webkitgtk-1.0:${PORTSDIR}/www/webkit-gtk2
+
+USE_GNOME=	gconf2
+
+GEANY_PLUGIN=	devhelp
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-devhelp/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-devhelp/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,4 @@
+This plugin embeds an API documentation browser and search functionality
+directly into Geany's user interface.
+
+WWW: http://plugins.geany.org/devhelp.html

Added: head/devel/geany-plugin-devhelp/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-devhelp/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,17 @@
+lib/geany/devhelp.a
+lib/geany/devhelp.la
+lib/geany/devhelp.so
+%%DOCSDIR%%/devhelp/AUTHORS
+%%DOCSDIR%%/devhelp/COPYING
+%%DOCSDIR%%/devhelp/ChangeLog
+%%DOCSDIR%%/devhelp/NEWS
+%%DOCSDIR%%/devhelp/README
+%%DATADIR%%/devhelp/devhelp-plugin-48.png
+%%DATADIR%%/devhelp/devhelp-plugin.svg
+%%DATADIR%%/devhelp/devhelp.conf
+%%DATADIR%%/devhelp/geany-devhelp-plugin.png
+%%DATADIR%%/devhelp/home.html
+@dirrm %%DATADIR%%/devhelp
+@dirrmtry %%DATADIR%%
+@dirrm %%DOCSDIR%%/devhelp
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-doc/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-doc/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	doc
+GEANY_PLUGIN_DIR=	geanydoc
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-doc/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-doc/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,8 @@
+Geanydoc is plugin for Geany IDE that allow execute specified
+commands on the current word at the cursor position. This word is
+passed as an argument to these commands. It allow either place
+output of these commands in geany buffer *DOC* or just execute
+external program. Geanydoc is intended to be used for searching
+documentation API in different sources.
+
+WWW: http://plugins.geany.org/geanydoc.html

Added: head/devel/geany-plugin-doc/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-doc/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geanydoc.a
+lib/geany/geanydoc.la
+lib/geany/geanydoc.so
+%%DOCSDIR%%/geanydoc/AUTHORS
+%%DOCSDIR%%/geanydoc/COPYING
+%%DOCSDIR%%/geanydoc/ChangeLog
+%%DOCSDIR%%/geanydoc/NEWS
+%%DOCSDIR%%/geanydoc/README
+@dirrm %%DOCSDIR%%/geanydoc
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-extrasel/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-extrasel/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	extrasel
+GEANY_PLUGIN_DIR=	geanyextrasel
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-extrasel/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-extrasel/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,5 @@
+The Extra Selection adds the following menu items: "Column Mode",
+"Select to Line" and "Select to Matching Brace", "Set Anchor",
+"Select to Anchor" and "Rectangle Select to Anchor".
+
+WWW: http://plugins.geany.org/geanyextrasel.html

Added: head/devel/geany-plugin-extrasel/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-extrasel/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geanyextrasel.a
+lib/geany/geanyextrasel.la
+lib/geany/geanyextrasel.so
+%%DOCSDIR%%/geanyextrasel/AUTHORS
+%%DOCSDIR%%/geanyextrasel/COPYING
+%%DOCSDIR%%/geanyextrasel/ChangeLog
+%%DOCSDIR%%/geanyextrasel/NEWS
+%%DOCSDIR%%/geanyextrasel/README
+@dirrm %%DOCSDIR%%/geanyextrasel
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-gdb/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-gdb/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	gdb
+GEANY_PLUGIN_DIR=	geanygdb
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-gdb/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-gdb/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,4 @@
+GeanyGDB is a plugin for Geany which provides integrated debugging
+support within Geany via the GNU Debugger (GDB).
+
+WWW: http://plugins.geany.org/geanygdb.html

Added: head/devel/geany-plugin-gdb/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-gdb/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,13 @@
+lib/geany/geanygdb.a
+lib/geany/geanygdb.la
+lib/geany/geanygdb.so
+libexec/geany-plugins/geanygdb/ttyhelper
+%%DOCSDIR%%/geanygdb/AUTHORS
+%%DOCSDIR%%/geanygdb/COPYING
+%%DOCSDIR%%/geanygdb/ChangeLog
+%%DOCSDIR%%/geanygdb/NEWS
+%%DOCSDIR%%/geanygdb/README
+@dirrm %%DOCSDIR%%/geanygdb
+@dirrmtry %%DOCSDIR%%
+@dirrm libexec/geany-plugins/geanygdb
+@dirrmtry libexec/geany-plugins

Added: head/devel/geany-plugin-gendoc/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-gendoc/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,17 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+LIB_DEPENDS=	ctpl:${PORTSDIR}/textproc/ctpl
+RUN_DEPENDS=	${LOCALBASE}/bin/rst2html:${PORTSDIR}/textproc/py-docutils
+
+GEANY_PLUGIN=	gendoc
+GEANY_PLUGIN_DIR=	geanygendoc
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-gendoc/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-gendoc/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,5 @@
+GeanyGenDoc is a plugin for Geany that aims to help code documentation
+by automatically generating documentation comment basis from the
+source code.
+
+WWW: http://plugins.geany.org/geanygendoc.html

Added: head/devel/geany-plugin-gendoc/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-gendoc/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,18 @@
+lib/geany/geanygendoc.a
+lib/geany/geanygendoc.la
+lib/geany/geanygendoc.so
+%%DOCSDIR%%/geanygendoc/AUTHORS
+%%DOCSDIR%%/geanygendoc/COPYING
+%%DOCSDIR%%/geanygendoc/ChangeLog
+%%DOCSDIR%%/geanygendoc/NEWS
+%%DOCSDIR%%/geanygendoc/README
+%%DOCSDIR%%/geanygendoc/html/manual.html
+%%DOCSDIR%%/geanygendoc/manual.rst
+%%DATADIR%%/geanygendoc/filetypes/c.conf
+%%DATADIR%%/geanygendoc/filetypes/vala.conf
+@dirrm %%DATADIR%%/geanygendoc/filetypes
+@dirrm %%DATADIR%%/geanygendoc
+@dirrmtry %%DATADIR%%
+@dirrm %%DOCSDIR%%/geanygendoc/html
+@dirrm %%DOCSDIR%%/geanygendoc
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-geniuspaste/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-geniuspaste/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,15 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+LIB_DEPENDS=	soup-2.4:${PORTSDIR}/devel/libsoup
+
+GEANY_PLUGIN=	geniuspaste
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-geniuspaste/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-geniuspaste/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,12 @@
+This plugin allows the user to paste the code from Geany into five
+different pastebins. At the moment it supports this services:
+ - codepad.org
+ - tinypaste.com
+ - pastebin.geany.org
+ - dpaste.de
+ - sprunge.us
+GeniusPaste detects automatically the syntax of the code and paste
+it with syntax highlighting enabled. It can also display the pasted
+code opening a new browser tab.
+
+WWW: http://plugins.geany.org/geniuspaste.html

Added: head/devel/geany-plugin-geniuspaste/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-geniuspaste/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geniuspaste.a
+lib/geany/geniuspaste.la
+lib/geany/geniuspaste.so
+%%DOCSDIR%%/geniuspaste/AUTHORS
+%%DOCSDIR%%/geniuspaste/COPYING
+%%DOCSDIR%%/geniuspaste/ChangeLog
+%%DOCSDIR%%/geniuspaste/NEWS
+%%DOCSDIR%%/geniuspaste/README
+@dirrm %%DOCSDIR%%/geniuspaste
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-gproject/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-gproject/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,13 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	gproject
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-gproject/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-gproject/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,8 @@
+GProject is an extension of Geany's project management displaying
+a tree of files belonging to the project in the sidebar. In addition,
+it enables quick swapping between header and source files, searching
+project files by name and more. The plugin was created with big
+projects in mind so everything works fast enough even with projects
+consisting of hundreds of thousands of files.
+
+WWW: http://plugins.geany.org/gproject.html

Added: head/devel/geany-plugin-gproject/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-gproject/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,17 @@
+lib/geany/gproject.a
+lib/geany/gproject.la
+lib/geany/gproject.so
+%%DOCSDIR%%/gproject/AUTHORS
+%%DOCSDIR%%/gproject/COPYING
+%%DOCSDIR%%/gproject/ChangeLog
+%%DOCSDIR%%/gproject/NEWS
+%%DOCSDIR%%/gproject/README
+share/icons/hicolor/16x16/apps/gproject-collapse.png
+share/icons/hicolor/16x16/apps/gproject-expand.png
+share/icons/hicolor/16x16/apps/gproject-file.png
+share/icons/hicolor/16x16/apps/gproject-follow.png
+share/icons/hicolor/16x16/apps/gproject-header.png
+share/icons/hicolor/16x16/apps/gproject-refresh.png
+share/icons/hicolor/16x16/apps/gproject-source.png
+@dirrm %%DOCSDIR%%/gproject
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-insertnum/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-insertnum/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	insertnum
+GEANY_PLUGIN_DIR=	geanyinsertnum
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-insertnum/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-insertnum/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,6 @@
+This plugin replaces a (possibly zero-width) rectangular selection
+with integer numbers, using start/step/base etc. specified by the
+user. For practical reasons, the number of lines is limited to
+100000. Lines shorter than the current selection are skipped.
+
+WWW: http://plugins.geany.org/geanyinsertnum.html

Added: head/devel/geany-plugin-insertnum/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-insertnum/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geanyinsertnum.a
+lib/geany/geanyinsertnum.la
+lib/geany/geanyinsertnum.so
+%%DOCSDIR%%/geanyinsertnum/AUTHORS
+%%DOCSDIR%%/geanyinsertnum/COPYING
+%%DOCSDIR%%/geanyinsertnum/ChangeLog
+%%DOCSDIR%%/geanyinsertnum/NEWS
+%%DOCSDIR%%/geanyinsertnum/README
+@dirrm %%DOCSDIR%%/geanyinsertnum
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-latex/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-latex/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	latex
+GEANY_PLUGIN_DIR=	geanylatex
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-latex/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-latex/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,3 @@
+GeanyLaTeX is a plugin for Geany IDE to improve work with LaTeX.
+
+WWW: http://plugins.geany.org/geanylatex.html

Added: head/devel/geany-plugin-latex/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-latex/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,25 @@
+lib/geany/geanylatex.a
+lib/geany/geanylatex.la
+lib/geany/geanylatex.so
+%%DOCSDIR%%/bibtex_reference.png
+%%DOCSDIR%%/geanylatex.css
+%%DOCSDIR%%/geanylatex.html
+%%DOCSDIR%%/geanylatex.pdf
+%%DOCSDIR%%/geanylatex.tex
+%%DOCSDIR%%/geanylatex/AUTHORS
+%%DOCSDIR%%/geanylatex/COPYING
+%%DOCSDIR%%/geanylatex/ChangeLog
+%%DOCSDIR%%/geanylatex/NEWS
+%%DOCSDIR%%/geanylatex/README
+%%DOCSDIR%%/geanylatex2.html
+%%DOCSDIR%%/geanylatex3.html
+%%DOCSDIR%%/geanylatex4.html
+%%DOCSDIR%%/insert_environment.png
+%%DOCSDIR%%/insert_label.png
+%%DOCSDIR%%/insert_reference.png
+%%DOCSDIR%%/insert_usepackage.png
+%%DOCSDIR%%/latexwizard.png
+%%DOCSDIR%%/plugin_manager.png
+%%DOCSDIR%%/toolbar.png
+@dirrm %%DOCSDIR%%/geanylatex
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-lipsum/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-lipsum/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	lipsum
+GEANY_PLUGIN_DIR=	geanylipsum
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-lipsum/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-lipsum/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,4 @@
+GeanyLipsum is a plugin for Geany that implements a Lorem Ipsum
+generator to insert placeholder text into your document.
+
+WWW: http://plugins.geany.org/geanylipsum.html

Added: head/devel/geany-plugin-lipsum/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-lipsum/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geanylipsum.a
+lib/geany/geanylipsum.la
+lib/geany/geanylipsum.so
+%%DOCSDIR%%/geanylipsum/AUTHORS
+%%DOCSDIR%%/geanylipsum/COPYING
+%%DOCSDIR%%/geanylipsum/ChangeLog
+%%DOCSDIR%%/geanylipsum/NEWS
+%%DOCSDIR%%/geanylipsum/README
+@dirrm %%DOCSDIR%%/geanylipsum
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-lua/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-lua/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,16 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+USE_LUA=	5.1
+
+GEANY_PLUGIN=	lua
+GEANY_PLUGIN_DIR=	geanylua
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-lua/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-lua/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,3 @@
+Lua scripting plugin for Geany.
+
+WWW: http://plugins.geany.org/geanylua.html

Added: head/devel/geany-plugin-lua/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-lua/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,49 @@
+lib/geany-plugins/geanylua/libgeanylua.a
+lib/geany-plugins/geanylua/libgeanylua.la
+lib/geany-plugins/geanylua/libgeanylua.so
+lib/geany/geanylua.a
+lib/geany/geanylua.la
+lib/geany/geanylua.so
+%%DOCSDIR%%/geanylua/AUTHORS
+%%DOCSDIR%%/geanylua/COPYING
+%%DOCSDIR%%/geanylua/ChangeLog
+%%DOCSDIR%%/geanylua/NEWS
+%%DOCSDIR%%/geanylua/README
+%%DOCSDIR%%/geanylua/geanylua-index.html
+%%DOCSDIR%%/geanylua/geanylua-input.html
+%%DOCSDIR%%/geanylua/geanylua-intro.html
+%%DOCSDIR%%/geanylua/geanylua-keyfile.html
+%%DOCSDIR%%/geanylua/geanylua-keys.html
+%%DOCSDIR%%/geanylua/geanylua-ref.html
+%%DOCSDIR%%/geanylua/luarefv51.html
+%%DATADIR%%/geanylua/dialogs/basic-dialogs.lua
+%%DATADIR%%/geanylua/dialogs/complex-dialog.lua
+%%DATADIR%%/geanylua/edit/calculator.lua
+%%DATADIR%%/geanylua/edit/lua-replace.lua
+%%DATADIR%%/geanylua/edit/proper-case.lua
+%%DATADIR%%/geanylua/edit/reverse.lua
+%%DATADIR%%/geanylua/edit/right-trim.lua
+%%DATADIR%%/geanylua/edit/select-block.lua
+%%DATADIR%%/geanylua/info/about.lua
+%%DATADIR%%/geanylua/info/app-information.lua
+%%DATADIR%%/geanylua/info/file-information.lua
+%%DATADIR%%/geanylua/info/list-open-files.lua
+%%DATADIR%%/geanylua/info/show-filename.lua
+%%DATADIR%%/geanylua/scripting/help.lua
+%%DATADIR%%/geanylua/scripting/open-script.lua
+%%DATADIR%%/geanylua/scripting/rebuild-menu.lua
+%%DATADIR%%/geanylua/scripting/show-examples.lua
+%%DATADIR%%/geanylua/work/01.edit-test-script.lua
+%%DATADIR%%/geanylua/work/02.run-test-script.lua
+%%DATADIR%%/geanylua/work/03.install-test-script.lua
+@dirrm %%DATADIR%%/geanylua/work
+@dirrm %%DATADIR%%/geanylua/scripting
+@dirrm %%DATADIR%%/geanylua/info
+@dirrm %%DATADIR%%/geanylua/edit
+@dirrm %%DATADIR%%/geanylua/dialogs
+@dirrm %%DATADIR%%/geanylua
+@dirrmtry %%DATADIR%%
+@dirrm %%DOCSDIR%%/geanylua
+@dirrmtry %%DOCSDIR%%
+@dirrm lib/geany-plugins/geanylua
+@dirrmtry lib/geany-plugins

Added: head/devel/geany-plugin-macro/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-macro/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	macro
+GEANY_PLUGIN_DIR=	geanymacro
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-macro/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-macro/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,3 @@
+This plugin allows you to record and use your own macros.
+
+WWW: http://plugins.geany.org/geanymacro.html

Added: head/devel/geany-plugin-macro/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-macro/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geanymacro.a
+lib/geany/geanymacro.la
+lib/geany/geanymacro.so
+%%DOCSDIR%%/geanymacro/AUTHORS
+%%DOCSDIR%%/geanymacro/COPYING
+%%DOCSDIR%%/geanymacro/ChangeLog
+%%DOCSDIR%%/geanymacro/NEWS
+%%DOCSDIR%%/geanymacro/README
+@dirrm %%DOCSDIR%%/geanymacro
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-miniscript/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-miniscript/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	miniscript
+GEANY_PLUGIN_DIR=	geanyminiscript
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-miniscript/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-miniscript/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,17 @@
+Geany Mini-Script filter plugin.
+This plugin is a tool to apply a script filter on:
+ - text selection
+ - current document
+ - all documents
+The filter type can be:
+ - shell script
+ - perl script
+ - python script
+ - sed commands
+ - awk script
+The output can be:
+ - selection of current document
+ - all documents
+ - new document
+
+WWW: http://plugins.geany.org/geanyminiscript.html

Added: head/devel/geany-plugin-miniscript/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-miniscript/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geanyminiscript.a
+lib/geany/geanyminiscript.la
+lib/geany/geanyminiscript.so
+%%DOCSDIR%%/geanyminiscript/AUTHORS
+%%DOCSDIR%%/geanyminiscript/COPYING
+%%DOCSDIR%%/geanyminiscript/ChangeLog
+%%DOCSDIR%%/geanyminiscript/NEWS
+%%DOCSDIR%%/geanyminiscript/README
+@dirrm %%DOCSDIR%%/geanyminiscript
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-multiterm/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-multiterm/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,16 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+BUILD_DEPENDS=	valac:${PORTSDIR}/lang/vala
+USE_GNOME=	vte
+
+GEANY_PLUGIN=	multiterm
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-multiterm/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-multiterm/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,5 @@
+MultiTerm is similar to Geany's built-in VTE terminal except that
+it supports multiple terminals in tabs and supports different shells
+in each of the terminal tabs.
+
+WWW: http://plugins.geany.org/multiterm.html

Added: head/devel/geany-plugin-multiterm/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-multiterm/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,11 @@
+lib/geany/multiterm.a
+lib/geany/multiterm.la
+lib/geany/multiterm.so
+%%DOCSDIR%%/multiterm/AUTHORS
+%%DOCSDIR%%/multiterm/COPYING
+%%DOCSDIR%%/multiterm/ChangeLog
+%%DOCSDIR%%/multiterm/NEWS
+%%DOCSDIR%%/multiterm/README
+%%DOCSDIR%%/multiterm/TODO
+@dirrm %%DOCSDIR%%/multiterm
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-numberedbookmarks/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-numberedbookmarks/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	numberedbookmarks
+GEANY_PLUGIN_DIR=	geanynumberedbookmarks
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-numberedbookmarks/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-numberedbookmarks/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,4 @@
+geanynumberedbookmarks is a plugin to provide users with 10 numbered
+bookmarks (in addition to the usual bookkmarks)
+
+WWW: http://plugins.geany.org/geanynumberedbookmarks.html

Added: head/devel/geany-plugin-numberedbookmarks/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-numberedbookmarks/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geanynumberedbookmarks.a
+lib/geany/geanynumberedbookmarks.la
+lib/geany/geanynumberedbookmarks.so
+%%DOCSDIR%%/geanynumberedbookmarks/AUTHORS
+%%DOCSDIR%%/geanynumberedbookmarks/COPYING
+%%DOCSDIR%%/geanynumberedbookmarks/ChangeLog
+%%DOCSDIR%%/geanynumberedbookmarks/NEWS
+%%DOCSDIR%%/geanynumberedbookmarks/README
+@dirrm %%DOCSDIR%%/geanynumberedbookmarks
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-pg/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-pg/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,17 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+LIB_DEPENDS=	gpgme.19:${PORTSDIR}/security/gpgme
+RUN_DEPENDS=	gpg2:${PORTSDIR}/security/gnupg
+
+GEANY_PLUGIN=	pg
+GEANY_PLUGIN_DIR=	geanypg
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-pg/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-pg/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,4 @@
+GeanyPG is a plugin for Geany that allows the user to encrypt,
+decrypt and verify signatures with GnuPG.
+
+WWW: http://plugins.geany.org/geanypg.html

Added: head/devel/geany-plugin-pg/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-pg/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geanypg.a
+lib/geany/geanypg.la
+lib/geany/geanypg.so
+%%DOCSDIR%%/geanypg/AUTHORS
+%%DOCSDIR%%/geanypg/COPYING
+%%DOCSDIR%%/geanypg/ChangeLog
+%%DOCSDIR%%/geanypg/NEWS
+%%DOCSDIR%%/geanypg/README
+@dirrm %%DOCSDIR%%/geanypg
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-pretty-printer/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-pretty-printer/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	pretty-printer
+GEANY_PLUGIN_SWITCH=	--enable-pretty_printer
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-pretty-printer/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-pretty-printer/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,3 @@
+Geany plugin.
+
+WWW: http://plugins.geany.org/pretty-printer.html

Added: head/devel/geany-plugin-pretty-printer/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-pretty-printer/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,3 @@
+lib/geany/pretty-printer.a
+lib/geany/pretty-printer.la
+lib/geany/pretty-printer.so

Added: head/devel/geany-plugin-prj/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-prj/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	prj
+GEANY_PLUGIN_DIR=	geanyprj
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-prj/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-prj/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,3 @@
+Alternative project manager for Geany
+
+WWW: http://plugins.geany.org/geanyprj.html

Added: head/devel/geany-plugin-prj/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-prj/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geanyprj.a
+lib/geany/geanyprj.la
+lib/geany/geanyprj.so
+%%DOCSDIR%%/geanyprj/AUTHORS
+%%DOCSDIR%%/geanyprj/COPYING
+%%DOCSDIR%%/geanyprj/ChangeLog
+%%DOCSDIR%%/geanyprj/NEWS
+%%DOCSDIR%%/geanyprj/README
+@dirrm %%DOCSDIR%%/geanyprj
+@dirrmtry %%DOCSDIR%%

Added: head/devel/geany-plugin-sendmail/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-sendmail/Makefile	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,14 @@
+# $FreeBSD$
+
+PORTNAME=	geany-plugin
+PORTVERSION=	${GEANY_VER}
+CATEGORIES=	devel
+
+MAINTAINER=	makc@FreeBSD.org
+COMMENT=	Geany plugin: ${${GEANY_PLUGIN}_DESC}
+
+GEANY_PLUGIN=	sendmail
+GEANY_PLUGIN_DIR=	geanysendmail
+
+.include "${.CURDIR}/../geany-plugins/files/Makefile.common"
+.include <bsd.port.mk>

Added: head/devel/geany-plugin-sendmail/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-sendmail/pkg-descr	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,6 @@
+GeanySendMail is a little plugin to send a document as attachment
+using the preferred mail client from inside Geany. It is similar
+to the envelope symbol of most office tools and requires a mail
+client that is supporting remote calls.
+
+WWW: http://plugins.geany.org/geanysendmail.html

Added: head/devel/geany-plugin-sendmail/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/geany-plugin-sendmail/pkg-plist	Sat Oct  6 18:20:59 2012	(r305393)
@@ -0,0 +1,10 @@
+lib/geany/geanysendmail.a

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"